List Browser Session Downloads
List files the browser downloaded to S3 during the session.
Pass includeUrls=true to receive presigned download URLs (15 min expiry) inline.
Files are stored at downloads/projects/{project_id}/sessions/{session_id}/ in
the private bucket.
GET
/
browsers
/
{session_id}
/
downloads
List Browser Session Downloads
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/browsers/{session_id}/downloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/browsers/{session_id}/downloads \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/browsers/{session_id}/downloads"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"files": [
{
"path": "<string>",
"size": 123,
"lastModified": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": false
}{
"detail": "Session not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Response
Successful Response
Paginated list of browser downloads with optional presigned URLs.
Was this page helpful?
⌘I
List Browser Session Downloads
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/browsers/{session_id}/downloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/browsers/{session_id}/downloads \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/browsers/{session_id}/downloads"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"files": [
{
"path": "<string>",
"size": 123,
"lastModified": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": false
}{
"detail": "Session not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}